VST 3 Interfaces: IConnectionPoint Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IConnectionPoint Class Referenceabstract

Connect a component with another one: Vst::IConnectionPoint. More...

`#include <ivstmessage.h>`

Inheritance diagram for IConnectionPoint:

## Public Member Functions
virtual tresult | connect (IConnectionPoint *other)=0
| Connects this instance with another connection point.
virtual tresult | disconnect (IConnectionPoint *other)=0
| Disconnects a given connection point from this.
virtual tresult | notify (IMessage *message)=0
| Called when a message has been sent from the connection point to this.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Connect a component with another one: Vst::IConnectionPoint.

- [plug imp]
- [host imp]
- [released: 3.0.0]
- [mandatory]

This interface is used for the communication of separate components. Note that some hosts will place a proxy object between the components so that they are not directly connected.

See also
  vst3Communication

## Member Function Documentation

## ◆ connect()

virtual tresult connect | ( | IConnectionPoint * | other | ) |
| pure virtual

Connects this instance with another connection point.

Note
  [UI-thread & Initialized]

Implemented in ComponentBase, and ConnectionProxy.

## ◆ disconnect()

virtual tresult disconnect | ( | IConnectionPoint * | other | ) |
| pure virtual

Disconnects a given connection point from this.

Note
  [UI-thread & Connected]

Implemented in ComponentBase, and ConnectionProxy.

## ◆ notify()

virtual tresult notify | ( | IMessage * | message | ) |
| pure virtual

Called when a message has been sent from the connection point to this.

Note
  [UI-thread & Connected]

Implemented in ComponentBase, and ConnectionProxy.

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.